### Hierarchy

- AbstractNode
  - Document

## Index

### Constructors

- constructor

### Properties

- definitions
- kind
- loc

### Methods

- accept
- getKind
- getLoc

## Constructors

### constructor

- new Document(loc: undefined | Location, definitions: Definition[]): Document

- Overrides AbstractNode.constructor

  - Defined in src/ast/document.ts:8

  #### Parameters

  - ##### loc: undefined | Location

  - ##### definitions: Definition[]

  #### Returns Document

## Properties

### definitions

definitions: Definition[]

- Defined in src/ast/document.ts:8

### kind

kind: string

Inherited from AbstractNode.kind

- Defined in src/ast/node.ts:13

### Optional loc

loc: Location

Inherited from AbstractNode.loc

- Defined in src/ast/node.ts:14

## Methods

### accept

- accept(context: Context, visitor: Visitor): void

- Overrides AbstractNode.accept

  - Defined in src/ast/document.ts:15

  #### Parameters

  - ##### context: Context

  - ##### visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- Inherited from AbstractNode.getKind

  - Defined in src/ast/node.ts:21

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- Inherited from AbstractNode.getLoc

  - Defined in src/ast/node.ts:25

  #### Returns undefined | Location

Generated using TypeDoc